From mboxrd@z Thu Jan  1 00:00:00 1970
Return-Path: <gavin.hu@arm.com>
Received: from foss.arm.com (foss.arm.com [217.140.101.70])
 by dpdk.org (Postfix) with ESMTP id 963722BEB;
 Tue, 19 Jun 2018 03:38:02 +0200 (CEST)
Received: from usa-sjc-imap-foss1.foss.arm.com (unknown [10.72.51.249])
 by usa-sjc-mx-foss1.foss.arm.com (Postfix) with ESMTP id 08B6615AD;
 Mon, 18 Jun 2018 18:38:02 -0700 (PDT)
Received: from net-debian.shanghai.arm.com (net-debian.shanghai.arm.com
 [10.169.36.53])
 by usa-sjc-imap-foss1.foss.arm.com (Postfix) with ESMTPA id 4C8163F589;
 Mon, 18 Jun 2018 18:38:01 -0700 (PDT)
From: Gavin Hu <gavin.hu@arm.com>
To: dev@dpdk.org
Cc: nd@arm.com,
	gavin.hu@arm.com,
	stable@dpdk.org
Date: Tue, 19 Jun 2018 09:37:46 +0800
Message-Id: <20180619013746.13268-7-gavin.hu@arm.com>
X-Mailer: git-send-email 2.11.0
In-Reply-To: <20180619013746.13268-1-gavin.hu@arm.com>
References: <20180615102143.12778-1-gavin.hu@arm.com>
 <20180619013746.13268-1-gavin.hu@arm.com>
Subject: [dpdk-stable] [PATCH v11 6/6] devtools: expand meson cross
	compiling test coverage
X-BeenThere: stable@dpdk.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: patches for DPDK stable branches <stable.dpdk.org>
List-Unsubscribe: <https://mails.dpdk.org/options/stable>,
 <mailto:stable-request@dpdk.org?subject=unsubscribe>
List-Archive: <http://mails.dpdk.org/archives/stable/>
List-Post: <mailto:stable@dpdk.org>
List-Help: <mailto:stable-request@dpdk.org?subject=help>
List-Subscribe: <https://mails.dpdk.org/listinfo/stable>,
 <mailto:stable-request@dpdk.org?subject=subscribe>
X-List-Received-Date: Tue, 19 Jun 2018 01:38:03 -0000

The default test script covers only default host cc compiler, either gcc or
clang, the fix is to increase the coverage by adding one more to cover
clang and the others for gcc, also the build dirs are changed to *-host-$c,
indicating the difference of cc used.

Fixes: a55277a788 ("devtools: add test script for meson builds")
Cc: stable@dpdk.org

Signed-off-by: Gavin Hu <gavin.hu@arm.com>
Reviewed-by: Phil Yang <phil.yang@arm.com>
Reviewed-by: Song Zhu <song.zhu@arm.com>
---
 devtools/test-meson-builds.sh | 11 +++++++++--
 1 file changed, 9 insertions(+), 2 deletions(-)

diff --git a/devtools/test-meson-builds.sh b/devtools/test-meson-builds.sh
index 9bb5b93bd..f0912d109 100755
--- a/devtools/test-meson-builds.sh
+++ b/devtools/test-meson-builds.sh
@@ -44,11 +44,18 @@ done
 # test compilation with minimal x86 instruction set
 build build-x86-default -Dmachine=nehalem
 
+# compile the general v8a also for clang to increase coverage
+export CC="ccache clang"
+build build-arm64-host-clang --cross-file config/arm/arm64_armv8_linuxapp_gcc
+
 # enable cross compilation if gcc cross-compiler is found
 for f in config/arm/arm*gcc ; do
 	c=aarch64-linux-gnu-gcc
 	if ! command -v $c >/dev/null 2>&1 ; then
-		continue
+		echo "## ERROR: $c is missing..."
+		exit 1
 	fi
-	build build-$(basename $f | tr '_' '-' | cut -d'-' -f-2) --cross-file $f
+	export CC="ccache gcc"
+	build build-$(basename $f | tr '_' '-' | cut -d'-' -f-2)-host-gcc \
+		--cross-file $f
 done
-- 
2.11.0